- Qt 5.15
- Qt SVG
- C++ Classes
- QSvgRenderer
- Qt 5.15.19 Reference Documentation

# Obsolete Members for QSvgRenderer

The following members of class QSvgRenderer are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(obsolete)` QMatrix | matrixForElement(const QString &id) const

## Member Function Documentation

### QMatrix QSvgRenderer::matrixForElement(const QString &id) const

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Use transformForElement() instead.

Returns the transformation matrix for the element with the given id. The matrix is a product of the transformation of the element's parents. The transformation of the element itself is not included.

To find the bounding rectangle of the element in logical coordinates, you can apply the matrix on the rectangle returned from boundsOnElement().

This function was introduced in Qt 4.2.

See also boundsOnElement().